> For the complete documentation index, see [llms.txt](https://docs.tradevest.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tradevest.ai/api-reference/taxes/exemption.md).

# Tax Exemption

## Create Tax Exemption Order

## Create Tax Exemption Order

> Create a new tax exemption order for the given entity.

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"tags":[{"name":"TaxExemption","description":"Tax exemption endpoints"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"TaxExemptionOrderData":{"title":"TaxExemptionOrderData","type":"object","properties":{"entityId":{"type":"string","format":"uuid","description":"Unique entity identification in UUID format"},"entityType":{"$ref":"#/components/schemas/EntityTypeEnum"},"fsaType":{"$ref":"#/components/schemas/FsaTypeEnum"},"fsaAmount":{"type":"number","format":"decimal","description":"The amount to allocate for FSA (must be positive)"},"fsaValidFrom":{"type":"string","format":"date","description":"Date from which the allocation becomes valid (optional, it will be January 1st if not provided)"},"fsaValidUntil":{"type":"string","format":"date","description":"Date until which the allocation is valid (optional, must be December 31st if provided)"}},"required":["entityId","entityType","fsaType","fsaAmount"]},"EntityTypeEnum":{"title":"EntityTypeEnum","type":"string","enum":["NATURAL_PERSON","LEGAL_ENTITY","JOINT_PERSON","BENEFICIAL_OWNER","LEGAL_REPRESENTATIVE"],"description":"Type of the entity."},"FsaTypeEnum":{"title":"FsaTypeEnum","type":"string","description":"The type of the fsa","enum":["INDIVIDUAL","JOINT"]},"CreateTaxExemptionOrderResult":{"title":"CreateTaxExemptionOrderResult","type":"object","properties":{"taxExemptionOrderId":{"type":"string","format":"uuid","description":"Unique tax exemption order identification in UUID format"}},"required":["taxExemptionOrderId"]}}},"paths":{"/taxes/tax-exemption-orders":{"post":{"summary":"Create Tax Exemption Order","description":"Create a new tax exemption order for the given entity.","operationId":"createTaxExemptionOrder","tags":["TaxExemption"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxExemptionOrderData"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTaxExemptionOrderResult"}}}}}}}}}
```

## Update Tax Exemption Order

## Update Tax Exemption Order

> Update tax exemption order

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"tags":[{"name":"TaxExemption","description":"Tax exemption endpoints"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"TaxExemptionOrderUpdate":{"title":"TaxExemptionOrderUpdate","type":"object","properties":{"fsaAmount":{"type":"number","format":"decimal","description":"The amount to allocate for FSA (must be positive)"},"fsaValidUntil":{"type":"string","format":"date","description":"Date until which the allocation is valid (optional, must be December 31st if provided)"}}}}},"paths":{"/taxes/tax-exemption-orders/{taxExemptionOrderId}":{"patch":{"summary":"Update Tax Exemption Order","operationId":"update-tax-exemption-order","description":"Update tax exemption order","tags":["TaxExemption"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxExemptionOrderUpdate"}}}}}}}}
```

## Get Tax Exemption Orders

## Get Tax Exemption Orders

> Get a list of tax exemption orders

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"tags":[{"name":"TaxExemption","description":"Tax exemption endpoints"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"cursor":{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},"limit":{"schema":{"type":"integer","default":20,"minimum":1},"in":"query","name":"limit","description":"Maximum number of items to return","required":true},"taxExemptionOrderIdQuery":{"schema":{"type":"string","format":"uuid"},"in":"query","name":"taxExemptionOrderId","description":"Tax exemption order ID"},"entityIdOptional":{"schema":{"type":"string","format":"uuid"},"name":"entityId","in":"query","description":"Unique entity identification in UUID format"},"taxExemptionOrderStatus":{"schema":{"$ref":"#/components/schemas/TaxExemptionOrderStatusEnum"},"in":"query","name":"status","description":"Tax exemption order status"}},"schemas":{"TaxExemptionOrderStatusEnum":{"title":"TaxExemptionOrderStatusEnum","type":"string","description":"The status of the tax exemption order","enum":["RECEIVED","INVALID","ACTIVE","INACTIVE"]},"TaxExemptionOrders":{"title":"TaxExemptionOrders","type":"object","properties":{"data":{"type":"array","description":"Array of tax exemption orders","items":{"$ref":"#/components/schemas/TaxExemptionOrder"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"TaxExemptionOrder":{"type":"object","required":["createdOn","entityId","entityType","fsaAmount","fsaType","modifiedOn","status","taxExemptionOrderId"],"properties":{"taxExemptionOrderId":{"type":"string","format":"uuid","description":"Unique tax exemption order identification in UUID format"},"status":{"$ref":"#/components/schemas/TaxExemptionOrderStatusEnum"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the tax exemption order was created"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the tax exemption order was last modified"},"entityId":{"type":"string","format":"uuid","description":"Unique entity identification in UUID format"},"entityType":{"$ref":"#/components/schemas/EntityTypeEnum"},"fsaType":{"$ref":"#/components/schemas/FsaTypeEnum"},"fsaAmount":{"type":"number","format":"decimal","description":"The amount to allocate for FSA (must be positive)"},"fsaValidFrom":{"type":"string","format":"date","description":"Date from which the allocation becomes valid (optional, it will be January 1st if not provided)"},"fsaValidUntil":{"type":"string","format":"date","description":"Date until which the allocation is valid (optional, must be December 31st if provided)"}},"title":"TaxExemptionOrder"},"EntityTypeEnum":{"title":"EntityTypeEnum","type":"string","enum":["NATURAL_PERSON","LEGAL_ENTITY","JOINT_PERSON","BENEFICIAL_OWNER","LEGAL_REPRESENTATIVE"],"description":"Type of the entity."},"FsaTypeEnum":{"title":"FsaTypeEnum","type":"string","description":"The type of the fsa","enum":["INDIVIDUAL","JOINT"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/taxes/tax-exemption-orders":{"get":{"summary":"Get Tax Exemption Orders","description":"Get a list of tax exemption orders","operationId":"getTaxExemptionOrders","tags":["TaxExemption"],"parameters":[{"$ref":"#/components/parameters/cursor"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/taxExemptionOrderIdQuery"},{"$ref":"#/components/parameters/entityIdOptional"},{"$ref":"#/components/parameters/taxExemptionOrderStatus"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxExemptionOrders"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Get Tax Exemption Order

## Get Tax Exemption Order

> Get tax exemption order

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"tags":[{"name":"TaxExemption","description":"Tax exemption endpoints"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"TaxExemptionOrder":{"type":"object","required":["createdOn","entityId","entityType","fsaAmount","fsaType","modifiedOn","status","taxExemptionOrderId"],"properties":{"taxExemptionOrderId":{"type":"string","format":"uuid","description":"Unique tax exemption order identification in UUID format"},"status":{"$ref":"#/components/schemas/TaxExemptionOrderStatusEnum"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the tax exemption order was created"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the tax exemption order was last modified"},"entityId":{"type":"string","format":"uuid","description":"Unique entity identification in UUID format"},"entityType":{"$ref":"#/components/schemas/EntityTypeEnum"},"fsaType":{"$ref":"#/components/schemas/FsaTypeEnum"},"fsaAmount":{"type":"number","format":"decimal","description":"The amount to allocate for FSA (must be positive)"},"fsaValidFrom":{"type":"string","format":"date","description":"Date from which the allocation becomes valid (optional, it will be January 1st if not provided)"},"fsaValidUntil":{"type":"string","format":"date","description":"Date until which the allocation is valid (optional, must be December 31st if provided)"}},"title":"TaxExemptionOrder"},"TaxExemptionOrderStatusEnum":{"title":"TaxExemptionOrderStatusEnum","type":"string","description":"The status of the tax exemption order","enum":["RECEIVED","INVALID","ACTIVE","INACTIVE"]},"EntityTypeEnum":{"title":"EntityTypeEnum","type":"string","enum":["NATURAL_PERSON","LEGAL_ENTITY","JOINT_PERSON","BENEFICIAL_OWNER","LEGAL_REPRESENTATIVE"],"description":"Type of the entity."},"FsaTypeEnum":{"title":"FsaTypeEnum","type":"string","description":"The type of the fsa","enum":["INDIVIDUAL","JOINT"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/taxes/tax-exemption-orders/{taxExemptionOrderId}":{"get":{"summary":"Get Tax Exemption Order","operationId":"get-tax-exemption-order","description":"Get tax exemption order","tags":["TaxExemption"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxExemptionOrder"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tradevest.ai/api-reference/taxes/exemption.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
